1. Products
Saaslogic
  • Enum Reference
  • Authentication
  • Introduction
  • Products
    • Resources
      • Create Product Resource
    • Coupons
      • Publish Coupon
      • Create Coupon
      • Update Coupon
      • Get Coupon
      • Get Coupons
    • Create Product
      POST
    • Get Product
      GET
    • List all products
      GET
    • Update Product
      PUT
  • Authentication
    • saaslogic token
      • Get the saaslogic access token
    • login Url
      • Gives the login URL
    • logout Url
      • Gives the logout URL
  • Countries
    • Get list of countries
  • Plans
    • Create Plan
    • Update Plan
    • Publish Plan
    • Get Plan
    • Get Plans
    • List all plans for a product
  • Subscriptions
    • Get Subscriptions
    • Change subscription plan
    • Create a product subscription
    • Retrieve a subscription
    • Create Customer and Subscription
    • Subscription with details permissions, menus and features
    • The Saaslogic URL for creating subscription
  • Usage Reporting
    • Report the resource usages in subscription for invoicing
    • Retrieves the resource usages of a subscription in the current billing cycle
  • Customers
    • addresses
      • Create an address
      • List all addresses
      • Update an address
      • Retrieve an address
      • Delete an address
    • contacts
      • Create a contact
      • List all contacts
      • Update a contact
      • Retrieve a contact
      • Delete a contact
    • Create a customer
    • List all customers
    • Update a customer
    • Retrieve a customer
    • Delete a customer
  • Vendors
    • vendor addresses
      • Create a vendor address.
      • List all vendor addresses.
      • Update a vendor address.
      • Retrieve a vendor address..
      • Delete a vendor address.
    • vendor contacts
      • Create a vendor contact.
      • List all vendor contacts.
      • Update a vendor contact.
      • Retrieve a vendor contact.
      • Delete a vendor contact.
    • vendor bills
      • Create a vendor bill
      • Cancel a vendor bill.
    • vendor bills payout
      • Update payment details to vendor bills.
    • Create a vendor
    • Update a vendor.
    • Activate a vendor.
    • Deactivate a vendor
  • Invoices
    • subscriptions
      • Get the invoices
      • Get the invoices by subscription
    • payments
      • Mark the invoice payment status
    • Approve the invoice
    • Get Invoices
    • Get the invoice details .
    • Cancel the invoice
    • Send invoice as pdf with payment link.
    • Create an on-demand invoice
  • States
    • Get list of states
  • Addons
    • List all addons for a product
  • Submerchant
    • Create a submerchant
  • UOM
    • Create UOM
    • Update UOM
    • List UOMs
    • Get UOM
  • HostedPages
    • Enable Hosted Page
  • Schemas
    • Invoice
      • InvoiceSubscriptionDTO
      • InvoiceInfo
      • InvoiceDetail
      • InvoiceProduct
      • InvoiceLineItemDTO
      • InvoicePayment
      • InvoiceAttributeDTO
      • InvoiceRequestDTO
      • InvoiceRequestProduct
      • InvoiceRequestLineItem
      • InvoiceRequestLineItemTax
      • InvoiceRequestDiscount
      • InvoicePaginatedResponse
    • Vendor
      • Vendor
      • VendorContact
      • VendorAddress
      • VendorBill
    • Subscriptions
      • SubscritpionPaginatedResponse
      • Subscription
      • ResourceQuantities
      • ChangeSubscriptionRequest
    • Pagination
      • PageRequest
      • SortCriteria
      • FilterCriteria
      • Pagination
      • InvoiceList
      • PageResponse
    • Plan
      • Plan
      • PlanSearchRequest
    • UOM
      • UOM
    • Product
      • ProductResource
      • ProductFeature
      • Product
      • ProductAttribute
      • Coupon
      • CouponSearchRequest
    • AccessTokenResponse
    • ProductAPIKey
    • Country
    • Customer
    • CustomerAddress
    • PaymentInfo
    • CustomerWithSubscription
    • State
    • Addon
    • CustomerContact
    • Submerchant
    • HostedPageAccessRequest
  1. Products

List all products

GET
/products
This endpoint is used to retrieve a list of all products, including their details such as features, attributes, and resources.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🔴500ErrorResponse
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-sandbox.saaslogic.io/v1/products' \
--header 'Authorization: Bearer ' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json'
Response Response Example
200 - Example 1
[
    {
        "productId": "82a29507-09a8-47cf-9c65-e874d285ecd6",
        "productName": "External GET 01",
        "description": "Zod description",
        "billingTypes": [
            "on-demand",
            "Recurring"
        ],
        "resources": [
            {
                "resourceId": "133a4f03-d6fc-4782-b3cd-c9b8e4168be1",
                "resourceName": "API2",
                "uomGroupName": "General",
                "isUnitLevelEnforceable": false,
                "isDecimalAllowed": false,
                "calculationType": "SUM",
                "isProrated": true,
                "overageCalculationType": "NoOverage"
            },
            {
                "resourceId": "2f0dd871199d4d73a6888d3cefa3e1e6",
                "resourceName": "Revenue",
                "uomGroupName": "Revenue",
                "isUnitLevelEnforceable": false,
                "isDecimalAllowed": true,
                "calculationType": "SUM",
                "isProrated": true,
                "overageCalculationType": "NoOverage"
            }
        ],
        "features": [
            {
                "featureId": "1a170ff4-3767-4684-89d8-01e67f6adb5a",
                "featureName": "User Management",
                "description": "Manage users and roles"
            }
        ],
        "attributes": [
            {
                "attributeName": "Region",
                "isMandatory": true
            }
        ]
    },
    {
        "productId": "778fb8b8-5080-4238-bb67-4c9ef2ede34f",
        "productName": "External Response 10",
        "billingTypes": [
            "on-demand",
            "Recurring"
        ],
        "resources": [
            {
                "resourceId": "2f0dd871199d4d73a6888d3cefa3e1e6",
                "resourceName": "Revenue",
                "uomGroupName": "Revenue",
                "isUnitLevelEnforceable": false,
                "isDecimalAllowed": true,
                "calculationType": "SUM",
                "isProrated": true,
                "overageCalculationType": "NoOverage"
            }
        ],
        "attributes": [
            {
                "attributeName": "Region",
                "isMandatory": false
            }
        ]
    },
    {
        "productId": "a135eff3-7947-4d43-a794-75e1528fa831",
        "productName": "External Response 9",
        "billingTypes": [
            "on-demand",
            "Recurring"
        ],
        "resources": [
            {
                "resourceId": "2f0dd871199d4d73a6888d3cefa3e1e6",
                "resourceName": "Revenue",
                "uomGroupName": "Revenue",
                "isUnitLevelEnforceable": false,
                "isDecimalAllowed": true,
                "calculationType": "SUM",
                "isProrated": true,
                "overageCalculationType": "NoOverage"
            }
        ],
        "features": [
            {
                "featureId": "a3eabada-fe00-478d-80a3-27e73e2c3cd6",
                "featureName": "User Management"
            }
        ],
        "attributes": [
            {
                "attributeName": "Region",
                "isMandatory": true
            }
        ]
    },
    {
        "productId": "215c516b-2d53-41e0-8356-111696828d27",
        "productName": "External Response 8",
        "billingTypes": [
            "on-demand",
            "Recurring"
        ],
        "resources": [
            {
                "resourceId": "2f0dd871199d4d73a6888d3cefa3e1e6",
                "resourceName": "Revenue",
                "uomGroupName": "Revenue",
                "isUnitLevelEnforceable": false,
                "isDecimalAllowed": true,
                "calculationType": "SUM",
                "isProrated": true,
                "overageCalculationType": "NoOverage"
            }
        ],
        "features": [
            {
                "featureId": "ace4e880-f6bb-4dd8-947d-d92406a16469",
                "featureName": "User Management"
            }
        ],
        "attributes": [
            {
                "attributeName": "Region",
                "isMandatory": true
            }
        ]
    },
    {
        "productId": "ffcadecc-e0ac-4fbc-9c57-1707c1c0caef",
        "productName": "External Response 7",
        "billingTypes": [
            "on-demand",
            "Recurring"
        ],
        "resources": [
            {
                "resourceId": "2f0dd871199d4d73a6888d3cefa3e1e6",
                "resourceName": "Revenue",
                "uomGroupName": "Revenue",
                "isUnitLevelEnforceable": false,
                "isDecimalAllowed": true,
                "calculationType": "SUM",
                "isProrated": true,
                "overageCalculationType": "NoOverage"
            }
        ],
        "features": [
            {
                "featureId": "1803a53e-ca3d-40bd-8540-510b473acaff",
                "featureName": "User Management",
                "description": "Manage users and roles"
            }
        ],
        "attributes": [
            {
                "attributeName": "Region",
                "isMandatory": true
            }
        ]
    }
]
Previous
Get Product
Next
Update Product
Built with